Bug 1242099 - [abrt] libreoffice-core: ScXMLExport::WriteAnnotation(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: ScXMLExport::WriteAnnotation(): soffice.bin killed b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eike Rathke
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:20e4929f9d15a7b6def4e13a88f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-10 22:36 UTC by Max
Modified: 2015-10-23 16:21 UTC (History)
7 users (show)

Fixed In Version: libreoffice-4.3.7.2-10.fc21 libreoffice-4.3.7.2-12.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-23 16:21:51 UTC


Attachments (Terms of Use)
File: backtrace (97.83 KB, text/plain)
2015-07-10 22:36 UTC, Max
no flags Details
File: cgroup (190 bytes, text/plain)
2015-07-10 22:36 UTC, Max
no flags Details
File: core_backtrace (37.70 KB, text/plain)
2015-07-10 22:36 UTC, Max
no flags Details
File: dso_list (37.23 KB, text/plain)
2015-07-10 22:36 UTC, Max
no flags Details
File: environ (3.18 KB, text/plain)
2015-07-10 22:36 UTC, Max
no flags Details
File: exploitable (82 bytes, text/plain)
2015-07-10 22:36 UTC, Max
no flags Details
File: limits (1.29 KB, text/plain)
2015-07-10 22:36 UTC, Max
no flags Details
File: maps (174.33 KB, text/plain)
2015-07-10 22:36 UTC, Max
no flags Details
File: open_fds (953 bytes, text/plain)
2015-07-10 22:36 UTC, Max
no flags Details
File: proc_pid_status (973 bytes, text/plain)
2015-07-10 22:36 UTC, Max
no flags Details

Description Max 2015-07-10 22:36:07 UTC
Description of problem:
I looked like the crash happened during an auto-save operation while I was editing a spreadsheet.

Version-Release number of selected component:
libreoffice-core-4.3.7.2-7.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc file:///tmp/CBE_Membership2015_Rev1.xls --splash-pipe=5
crash_function: ScXMLExport::WriteAnnotation
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         4.0.5-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Sun 2013-07-28 02:00:29 PDT, end at Fri 2015-07-10 15:18:13 PDT. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ScXMLExport::WriteAnnotation at /usr/src/debug/libreoffice-4.3.7.2/sc/source/filter/xml/xmlexprt.cxx:3723
 #1 ScXMLExport::WriteCell at /usr/src/debug/libreoffice-4.3.7.2/sc/source/filter/xml/xmlexprt.cxx:3330
 #2 ScXMLExport::WriteTable at /usr/src/debug/libreoffice-4.3.7.2/sc/source/filter/xml/xmlexprt.cxx:3023
 #3 ScXMLExport::_ExportContent at /usr/src/debug/libreoffice-4.3.7.2/sc/source/filter/xml/xmlexprt.cxx:2007
 #4 SvXMLExport::ImplExportContent at /usr/src/debug/libreoffice-4.3.7.2/xmloff/source/core/xmlexp.cxx:1281
 #5 SvXMLExport::exportDoc at /usr/src/debug/libreoffice-4.3.7.2/xmloff/source/core/xmlexp.cxx:1511
 #6 ScXMLExport::exportDoc at /usr/src/debug/libreoffice-4.3.7.2/sc/source/filter/xml/xmlexprt.cxx:5078
 #7 SvXMLExport::filter at /usr/src/debug/libreoffice-4.3.7.2/xmloff/source/core/xmlexp.cxx:850
 #8 ScXMLExport::filter at /usr/src/debug/libreoffice-4.3.7.2/sc/source/filter/xml/xmlexprt.cxx:5118
 #9 ScXMLImportWrapper::ExportToComponent at /usr/src/debug/libreoffice-4.3.7.2/sc/source/filter/xml/xmlwrap.cxx:742

Comment 1 Max 2015-07-10 22:36:10 UTC
Created attachment 1050804 [details]
File: backtrace

Comment 2 Max 2015-07-10 22:36:11 UTC
Created attachment 1050805 [details]
File: cgroup

Comment 3 Max 2015-07-10 22:36:12 UTC
Created attachment 1050806 [details]
File: core_backtrace

Comment 4 Max 2015-07-10 22:36:13 UTC
Created attachment 1050807 [details]
File: dso_list

Comment 5 Max 2015-07-10 22:36:13 UTC
Created attachment 1050808 [details]
File: environ

Comment 6 Max 2015-07-10 22:36:14 UTC
Created attachment 1050809 [details]
File: exploitable

Comment 7 Max 2015-07-10 22:36:15 UTC
Created attachment 1050810 [details]
File: limits

Comment 8 Max 2015-07-10 22:36:16 UTC
Created attachment 1050811 [details]
File: maps

Comment 9 Max 2015-07-10 22:36:17 UTC
Created attachment 1050812 [details]
File: open_fds

Comment 10 Max 2015-07-10 22:36:18 UTC
Created attachment 1050813 [details]
File: proc_pid_status

Comment 11 Eike Rathke 2015-07-13 13:06:36 UTC
@Max:
Is it reproducible? If yes, could you attach the document with which this happens?

Comment 12 Max 2015-07-18 18:56:11 UTC
I haven't been able to reproduce it.

Comment 13 Fedora Update System 2015-08-27 17:16:46 UTC
libreoffice-4.3.7.2-10.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14425

Comment 14 Fedora Update System 2015-08-28 18:53:13 UTC
libreoffice-4.3.7.2-10.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libreoffice'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14425

Comment 15 Fedora Update System 2015-09-04 06:53:19 UTC
libreoffice-4.3.7.2-11.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libreoffice'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14940

Comment 16 Fedora Update System 2015-09-22 15:18:45 UTC
libreoffice-4.3.7.2-12.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16432

Comment 17 Fedora Update System 2015-09-23 05:22:56 UTC
libreoffice-4.3.7.2-12.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libreoffice'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16432

Comment 18 Fedora Update System 2015-10-23 16:21:40 UTC
libreoffice-4.3.7.2-12.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.